<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BillingScheduleSearch StructType
 * @subpackage Structs
 */
class BillingScheduleSearch extends SearchRecord
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\BillingScheduleSearchBasic
     */
    public $basic;
    /**
     * Constructor method for BillingScheduleSearch
     * @uses BillingScheduleSearch::setBasic()
     * @param \StructType\BillingScheduleSearchBasic $basic
     */
    public function __construct(\StructType\BillingScheduleSearchBasic $basic = null)
    {
        $this
            ->setBasic($basic);
    }
    /**
     * Get basic value
     * @return \StructType\BillingScheduleSearchBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\BillingScheduleSearchBasic $basic
     * @return \StructType\BillingScheduleSearch
     */
    public function setBasic(\StructType\BillingScheduleSearchBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
}
